org.yaml.snakeyaml.util

## Class EnumUtils

- java.lang.Object
- - org.yaml.snakeyaml.util.EnumUtils

    public class EnumUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EnumUtils()`

### Method Summary

Methods
`static <T extends Enum<T>> T` `findEnumInsensitiveCase(Class<T> enumType, String name)` Looks for an enumeration constant that matches the string without being case sensitive

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnumUtils

    public EnumUtils()

### Method Detail

#### findEnumInsensitiveCase

    public static <T extends Enum<T>> T findEnumInsensitiveCase(Class<T> enumType,
                                                String name)

Looks for an enumeration constant that matches the string without being case sensitive

Type Parameters:
  `T` - - the enum type whose constant is to be returned
Parameters:
  `enumType` - - the Class object of the enum type from which to return a constant
  `name` - - the name of the constant to return
Returns:
  the enum constant of the specified enum type with the specified name, insensitive to case
Throws:
  `IllegalArgumentException` - – if the specified enum type has no constant with the specified name, insensitive case